VerifyError (Java Platform SE 8 )
Keywords: java.lang.VerifyError class
Date: 2026-04-17

compact1, compact2, compact3
java.lang

## Class VerifyError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.VerifyError

- All Implemented Interfaces:
    Serializable

      public class VerifyError
      extends LinkageError

  Thrown when the "verifier" detects that a class file, though well formed, contains some sort of internal inconsistency or security problem.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyError()` Constructs an `VerifyError` with no detail message.
    `VerifyError(String s)` Constructs an `VerifyError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VerifyError

          public VerifyError()

      Constructs an `VerifyError` with no detail message.

    - #### VerifyError

          public VerifyError(String s)

      Constructs an `VerifyError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.